aboutsummaryrefslogtreecommitdiffstats
path: root/community/py-pexpect/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-08-22 07:03:40 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-08-22 07:03:40 +0000
commit2414f06f950d770af66e5d9164d390a5e170fbbb (patch)
tree6c796069fcb2ea52a55d6f5dc2420afead8dc9b0 /community/py-pexpect/APKBUILD
parent69d0aa6d5409d3034b25b00bc830c9a677458813 (diff)
downloadaports-2414f06f950d770af66e5d9164d390a5e170fbbb.tar.gz
aports-2414f06f950d770af66e5d9164d390a5e170fbbb.tar.bz2
aports-2414f06f950d770af66e5d9164d390a5e170fbbb.tar.xz
testing/py-pexpect: moved from testing
Diffstat (limited to 'community/py-pexpect/APKBUILD')
-rw-r--r--community/py-pexpect/APKBUILD52
1 files changed, 52 insertions, 0 deletions
diff --git a/community/py-pexpect/APKBUILD b/community/py-pexpect/APKBUILD
new file mode 100644
index 0000000000..b63249fd57
--- /dev/null
+++ b/community/py-pexpect/APKBUILD
@@ -0,0 +1,52 @@
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=py-pexpect
+_pkgname=${pkgname#py-}
+pkgver=4.2
+pkgrel=1
+pkgdesc="Make Python a better tool for controlling and automating other programs"
+url="http://pexpect.readthedocs.org/en/stable"
+arch="noarch"
+license="MIT"
+depends=""
+makedepends="python2-dev python3-dev py-setuptools"
+subpackages="$pkgname-doc py3-$_pkgname:_py3 py2-$_pkgname:_py2"
+source="$pkgname-$pkgver.tar.gz::https://github.com/pexpect/$_pkgname/archive/$pkgver.tar.gz"
+builddir="$srcdir/$_pkgname-$pkgver"
+
+build() {
+ cd "$builddir"
+ python2 setup.py build || return 1
+ python3 setup.py build || return 1
+}
+
+package() {
+ cd "$builddir"
+ mkdir -p "$pkgdir"
+ install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+}
+
+_py() {
+ local python=$1
+ pkgdesc="$pkgdesc - $python"
+ install_if="$pkgname=$pkgver-r$pkgrel $python"
+ cd "$builddir"
+ $python setup.py install --prefix=/usr --root="$subpkgdir"
+}
+
+_py2() {
+ _py python2
+ depends="py-ptyprocess"
+ replaces="$pkgname"
+}
+
+_py3() {
+ _py python3
+ depends="py3-ptyprocess"
+}
+
+
+
+md5sums="edd8fa352da64a02fd8aade4994cc8c6 py-pexpect-4.2.tar.gz"
+sha256sums="866369f3fb8b539820ba198db07c0a18fecb01d7380c01086c12928ed76ef94e py-pexpect-4.2.tar.gz"
+sha512sums="df7155d4f57cfcb17514268fa7d6c010a99b1d9dec46a7bc51bb80446cbbe30187be6bf2a57ec192394b0ce61b6beb40510fd148ffdb7e12c37230536d7b4540 py-pexpect-4.2.tar.gz"